API referenceCompanies
Get a company
GET
Returns one company your integration key can reach. Any other id returns
404.
integrationKeyheader
AuthorizationBearer <token>Your integration key, sent as Authorization: Bearer nik_<prefix>_<secret>.
Narya issues it.
id*stringFormat
uuidThe company
application/json- response
id*stringFormat
uuidexternal_ref?|nullenterprise_id*|The company's enterprise, or null when it has none.
Format
uuidname*stringstatus*stringValue in
"active""inactive"business_reg_no?string|nulltax_id_no?string|nullsst_no?string|nullcontact?|nulladdress?|nullcreated_at*stringFormat
date-timeupdated_at*stringFormat
date-timedeleted_at*|When the record was deleted, or null. Lists return deleted records only with include_deleted=true.
Format
date-timeExample Request
curl -X GET 'https://api-narya-staging.pmadvisors.my/integration/v1/companies/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_ref": "ACQ-MBB", "enterprise_id": "2dbe425a-b3bc-4170-8bae-9e5391aafea6", "name": "string", "status": "active", "business_reg_no": "string", "tax_id_no": "string", "sst_no": "string", "contact": { "person": "string", "phone": "string", "email": "user@example.com" }, "address": { "line1": "string", "line2": "string", "city": "string", "postcode": "string", "state": "MY-01", "country": "MY" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z"}